### Method

# Gtk TextViewmove_mark_onscreen

#### Declaration [src]

    gboolean
    gtk_text_view_move_mark_onscreen (
      GtkTextView* text_view,
      GtkTextMark* mark
    )

#### Description [src]

Moves a mark within the buffer so that it’s located within the currently-visible text area.

#### Parameters

`mark`

  Type: `GtkTextMark`

  A `GtkTextMark`

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the mark moved (wasn’t already onscreen)